=== debian/changelog ===
normaliz (3.5.1+ds-4) unstable; urgency=medium

  * FTBFS fix release: Closes: #881870), disable OMP support on alpha arch.
  * Debianization:
    - debian/rules, see above;
    - debian/patches/*:
      - d/p/upstream-reproducible-doc.patch , introduce (Closes: #886703;
    - debian/copyright, format URI, secure.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jan 2018 05:45:25 +0000

normaliz (3.5.1+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends field, libflint-dev, filter out m68k support.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Jan 2018 14:30:04 +0000

normaliz (3.5.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/rules, filter out m68k triplet for libflint-dev support.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Jan 2018 10:16:09 +0000

normaliz (3.5.1+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
      - update;
    - debian/control:
      - debhelper, reverse to 11;
      - Standards Version, bump to 4.1.3 (no change);
      - Build-Depends-Indep field, reintroduce;
    - debian/rules:
      - doc composition, reintroduce;
      - harden;
    - debian/adhoc/Makefile, add doc target;
    - debian/clean, refresh;
    - debian/source/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 Jan 2018 16:09:07 +0000

normaliz (3.5.0+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/rules, correct x32 triplet;
    - debian/control:
      - debhelper, reverse to 10 (see #885745).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Dec 2017 17:01:44 +0000

normaliz (3.5.0+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - debhelper, bump to 11 (refresh doc-base);
      - Build-Depends field, libflint-dev, refine arch support;
    - debian/rules, libflint-dev, refine arch support.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Dec 2017 11:51:57 +0000

normaliz (3.5.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.1.2 (no change);
      - Build-Depends field, add libflint-dev;
    - debian/patches/*:
      - d/p/upstream-test-extremely_sensitive_tests-neutralize.patch,
        integrated;
    - debian/rules:
      - autotool chain, build against flint.
    - debian/README.Debian, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 21 Dec 2017 18:55:49 +0000
