## normaliz 3.6.3%2Bds

=== debian/changelog ===
normaliz (3.6.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 Aug 2018 17:00:09 +0000

normaliz (3.6.2+ds-1) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.2.0 (no change);
    - debian/patches/*:
      - d/p/upstream-fix-autotoolization-external_build.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Aug 2018 11:00:46 +0000

normaliz (3.6.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.1.4 (no change);
      - Vcs-* fields, migration to Salsa;
    - debian/rules:
      - get-orig-source target, discard;
    - debian/source:
      - d/s/lintian-overrides , update;
    - debian/patches/*:
      - d/p/upstream-fix-autotoolization-external_build.patch , integrated;
      - d/p/upstream-fix-autotoolization-external_build.patch , introduce;

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 07:50:30 +0000
