=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,3 @@
 
 override_dh_compress-indep:
 	dh_compress -X.pdf -Xexamples
-
-get-orig-source:
-	uscan --no-conf --download-current-version --verbose
