## normaliz 3.6.3+ds

=== source/libnormaliz/CMakeLists.txt ===
# libnormaliz source files
SET(sources enumeration.cpp other_algorithms.cpp linear_algebra.cpp offload_handler.cpp cone_and_control.cpp primal.cpp)
# libnormaliz header files
SET(headers cone.h cone_property.h convert.h general.h HilbertSeries.h integer.h libnormaliz.h map_operations.h matrix.h my_omp.h normaliz_exception.h sublattice_representation.h vector_operations.h version.h)

# add the necessary include directories
INCLUDE_DIRECTORIES(..)
FIND_PACKAGE(Boost REQUIRED)
#IF (Boost_FOUND)
#  MESSAGE(STATUS "Boost found with include dir: ${Boost_INCLUDE_DIR}")
#ENDIF()
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

## SET (NMZ_BUILD_BOTH "NO" CACHE BOOL "build shared AND static libnormaliz")

IF (NOT NMZ_BUILD_STATIC)
  # create the shared library
  ADD_LIBRARY(normaliz-shared SHARED ${sources})
  SET_TARGET_PROPERTIES(normaliz-shared PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  # set the dependency on gmp
  TARGET_LINK_LIBRARIES (normaliz-shared ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
  #set dependency on optional lib scip
  IF (NMZ_SCIP AND SCIP_FOUND)
    MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${SCIP_LIBRARY})
  ENDIF (NMZ_SCIP AND SCIP_FOUND)
  # set dependency on optional lib cocoa
  IF (NMZ_COCOA AND COCOA_FOUND)
    MESSAGE(STATUS "Adding CoCoA libraries to link ${COCOA_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${COCOA_LIBRARY})
  ENDIF (NMZ_COCOA AND COCOA_FOUND)
  IF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
    MESSAGE(STATUS "Adding Flint libraries to link ${FLINT_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${FLINT_LIBRARY})
    MESSAGE(STATUS "Adding MPFR libraries to link ${MPFR_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${MPFR_LIBRARY})
  ENDIF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
  INSTALL(TARGETS normaliz-shared
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    RUNTIME DESTINATION bin
    COMPONENT sharedlibs
  )
ENDIF (NOT NMZ_BUILD_STATIC)

IF (NMZ_BUILD_STATIC)
  #create the static library
  ADD_LIBRARY(normaliz-static STATIC ${sources})
  SET_TARGET_PROPERTIES(normaliz-static PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  IF (NMZ_COCOA AND COCOA_FOUND)
    MESSAGE(STATUS "Adding CoCoA libraries to link ${COCOA_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-static ${COCOA_LIBRARY})
  ENDIF (NMZ_COCOA AND COCOA_FOUND)
  IF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
    MESSAGE(STATUS "Adding Flint libraries to link ${FLINT_STATIC_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-static ${FLINT_STATIC_LIBRARY})
    MESSAGE(STATUS "Adding MPFR libraries to link ${MPFR_STATIC_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-static ${MPFR_STATIC_LIBRARY})
  ENDIF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
  TARGET_LINK_LIBRARIES (normaliz-static ${GMPXX_STATIC_LIBRARIES} ${GMP_STATIC_LIBRARIES})
  INSTALL(TARGETS normaliz-static ARCHIVE DESTINATION lib${LIB_SUFFIX})
ENDIF (NMZ_BUILD_STATIC)

INSTALL(FILES ${headers} DESTINATION include/${PROJECT_NAME} COMPONENT headers)

SET(LIBNORMALIZ_INCLUDE_DIR ${includedir})
SET(LIBNORMALIZ_INCLUDE_DIRS ${LIBNORMALIZ_INCLUDE_DIR})
SET(LIBNORMALIZ_ROOT_DIR ${prefix})
SET(LIBNORMALIZ_VERSION_STRING ${VERSION_STRING})
SET(LIBNORMALIZ_VERSION_MAJOR ${VERSION_MAJOR})
SET(LIBNORMALIZ_VERSION_MINOR ${VERSION_MINOR})
SET(LIBNORMALIZ_VERSION_PATCH ${VERSION_PATCH})
CONFIGURE_FILE(version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h @ONLY)
SET(LIBNORMALIZ_USE_FILE ${CMAKE_INSTALL_PREFIX}/${LIBNORMALIZ_CMAKE_CONFIG_DIR}/UseLibnormaliz.cmake)
CONFIGURE_FILE(../LibnormalizConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake @ONLY)
#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake ../UseLibnormaliz.cmake DESTINATION ${LIBNORMALIZ_CMAKE_CONFIG_DIR})

#ADD_SUBDIRECTORY(examples)
