=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/normaliz.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/normaliz.git
+Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
+Vcs-Browser: https://salsa.debian.org/science-team/normaliz
 
 Package: normaliz
 Architecture: any
