## normaliz 3.7.1+ds

=== debian/changelog ===
normaliz (3.7.1+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jul 2019 12:26:01 +0000

normaliz (3.7.1+ds-2) experimental; urgency=medium

  * Debianization:
    - debian/{control,rules}, e-antic support;
    - debian/patches/*:
      - d/p/upstream-fix-spelling_error.patch, introduce;
    - debian/libnormaliz3.lintian-overrides:
      - hardening-no-fortify-functions entry, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 07 Jun 2019 06:47:30 +0000

normaliz (3.7.1+ds-1) experimental; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/copyright:
      - Copyright field, year tuples, update;
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.3.0 (no change);
      - debhelper, bump to 12;
    - debian/compat, discard;
    - debian/tests/*:
      - d/t/control, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 30 Apr 2019 15:10:41 +0000
