=== debian/control ===
--- 
+++ 
@@ -4,13 +4,18 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 11), autoconf-archive,
+ debhelper-compat (= 12), autoconf-archive,
  help2man,
- libgmp-dev, libflint-dev [!alpha !m68k !sh4 !x32], libboost-dev
+ libgmp-dev,
+ libmpfr-dev,
+ libflint-dev      [!alpha !m68k !sh4 !x32],
+ libflint-arb-dev  [!alpha !m68k !sh4 !x32],
+ libeantic-dev     [!alpha !m68k !sh4 !x32],
+ libboost-dev
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/science-team/normaliz
