=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,10 @@
 
 ifneq (,$(filter $(DEB_HOST_MULTIARCH), alpha-linux-gnu m68k-linux-gnu sh4-linux-gnu x86_64-linux-gnux32))
 DEB_PKG_NMZ_FLINT=no
+DEB_PKG_NMZ_EANTIC=no
 else
 DEB_PKG_NMZ_FLINT=yes
+DEB_PKG_NMZ_EANTIC=yes
 endif
 
 default:
@@ -33,7 +35,10 @@
 	dh $@ --builddirectory=_build
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-openmp=$(DEB_PKG_NMZ_OPENMP) --enable-flint=$(DEB_PKG_NMZ_FLINT)
+	dh_auto_configure -- \
+		--enable-openmp=$(DEB_PKG_NMZ_OPENMP) \
+		--enable-flint=$(DEB_PKG_NMZ_FLINT) \
+		--enable-enfnormaliz=$(DEB_PKG_NMZ_EANTIC)
 
 override_dh_auto_build-indep:
 	$(MAKE) -C doc -f $(CURDIR)/debian/adhoc/Makefile doc
