## normaliz 3.8.3%2Bds

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
  help2man,
  libgmp-dev,
  libmpfr-dev,
- libflint-dev      [!alpha !m68k !sh4 !x32],
- libflint-arb-dev  [!alpha !m68k !sh4 !x32],
- libeantic-dev     [!alpha !m68k !sh4 !x32],
- libboost-dev
+ libflint-dev      [!m68k !sh4 !x32],
+ libflint-arb-dev  [!m68k !sh4 !x32],
+ libeantic-dev     [!m68k !sh4 !x32]
 Build-Depends-Indep:
- texlive-latex-base, texlive-latex-recommended, texlive-pictures,
+ texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/science-team/normaliz
@@ -49,7 +48,14 @@
 Package: libnormaliz-dev
 Section: libdevel
 Architecture: any
-Depends: libnormaliz3 (= ${binary:Version}), libnormaliz-dev-common (= ${source:Version}), ${misc:Depends}
+Depends:
+ libnormaliz3 (= ${binary:Version}),
+ libnormaliz-dev-common (= ${source:Version}),
+ libeantic-dev     [!m68k !sh4 !x32],
+ libflint-arb-dev  [!m68k !sh4 !x32],
+ libflint-dev      [!m68k !sh4 !x32],
+ libgmp-dev,
+ ${misc:Depends}
 Conflicts: libnormaliz-dev
 Suggests: normaliz-bin (= ${binary:Version})
 Multi-Arch: same
