=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 DEB_PKG_NMZ_OPENMP=yes
 endif
 
-ifneq (,$(filter $(DEB_HOST_MULTIARCH), alpha-linux-gnu m68k-linux-gnu sh4-linux-gnu x86_64-linux-gnux32))
+ifneq (,$(filter $(DEB_HOST_MULTIARCH), m68k-linux-gnu sh4-linux-gnu x86_64-linux-gnux32))
 DEB_PKG_NMZ_FLINT=no
 DEB_PKG_NMZ_EANTIC=no
 else
