## normaliz 3.8.3+ds

=== debian/changelog ===
normaliz (3.8.3+ds-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:47 +0100

normaliz (3.8.3+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/rules:
      - OpenMP support, disabled for alpha architecture.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Dec 2019 06:16:03 +0000

normaliz (3.8.3+ds-1) unstable; urgency=medium

  * New upstream version.
    - debian/copyright:
      - Files-Excluded list, refersh;
    - debian/patches/*:
      - d/p/debianization.patch, refresh;
    - debian/control:
      - {Build-,}Depends fields, remove libboost-dev;
      - Build-Depends-Indep, add texlive-latex-extra.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Dec 2019 10:22:54 +0000

normaliz (3.8.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded list, refersh;
    - debian/control:
      - Depends field, libnormaliz-dev, update (Closes: #941933);
      - Standards Version, bump to 4.4.1 (no change),
    - debian/{control,rules}, permit alpha port;
    - debian/patches/*:
      - d/p/upstream-fix-spelling_error.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Oct 2019 07:49:41 +0000
