## normaliz 3.8.5+ds

=== debian/changelog ===
normaliz (3.8.5+ds-1build1) groovy; urgency=medium

  * No-change rebuild against libflint-2.6.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Aug 2020 08:19:19 +0000

normaliz (3.8.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Maintainer address, update;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.5.0 (no change);
      - Architecture field:
        - normaliz, convert to all (Multiarch hinter);
    - debian/normaliz-bin.lintian-overrides, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Jun 2020 12:16:21 +0000

normaliz (3.8.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - copyright year tuples, update;
      - Files-Excluded field, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 05 Jun 2020 16:44:17 +0000
