=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: normaliz
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12), autoconf-archive,
  help2man,
@@ -14,15 +16,16 @@
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/science-team/normaliz
 
 Package: normaliz
-Architecture: any
+Architecture: all
 Depends: normaliz-bin, ${misc:Depends}
 Suggests: singular
+Multi-Arch: foreign
 Description: math computing tools for affine monoids, rational polytopes and cones
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.
