## normaliz 3.8.9%2Bds

=== debian/changelog ===
normaliz (3.8.9+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix team mailing list address (Closes: #970759).
  * Add patch to fix numerical noise issues (Closes: #969794, #971188).
  * Made deps on flint, flint-arb and e-antic unconditional.
  * Bump dh compat to 13.
  * New upstream version.
  * Refresh patches, and drop the numerical noise one (now unneeded).
  * Drop all lintian overrides: keeping warnings is harmless, hiding them
    might turn harmful.
  * Ship the PyNormaliz examples too.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 12:17:34 +0200
