=== debian/tests/control ===
Test-command: make -C test -f Makefile.classic NORMALIZ=/usr/bin/normaliz
Restrictions: allow-stderr
