## normaliz 3.8.9+ds

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: normaliz
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12), autoconf-archive,
+ debhelper-compat (= 13), autoconf-archive,
  help2man,
  libgmp-dev,
  libmpfr-dev,
- libflint-dev      [!m68k !sh4 !x32],
- libflint-arb-dev  [!m68k !sh4 !x32],
- libeantic-dev     [!m68k !sh4 !x32]
+ libflint-dev,
+ libflint-arb-dev,
+ libeantic-dev
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
 Standards-Version: 4.5.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
-Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
-Vcs-Browser: https://salsa.debian.org/science-team/normaliz
+Vcs-Git: https://salsa.debian.org/math-team/normaliz.git
+Vcs-Browser: https://salsa.debian.org/math-team/normaliz
 
 Package: normaliz
 Architecture: all
@@ -54,9 +53,9 @@
 Depends:
  libnormaliz3 (= ${binary:Version}),
  libnormaliz-dev-common (= ${source:Version}),
- libeantic-dev     [!m68k !sh4 !x32],
- libflint-arb-dev  [!m68k !sh4 !x32],
- libflint-dev      [!m68k !sh4 !x32],
+ libeantic-dev,
+ libflint-arb-dev,
+ libflint-dev,
  libgmp-dev,
  ${misc:Depends}
 Conflicts: libnormaliz-dev
