=== debian/rules ===
--- 
+++ 
@@ -54,5 +54,9 @@
 override_dh_auto_install-indep:
 	$(MAKE) -C _build/source install-data-am DESTDIR=$(CURDIR)/debian/tmp
 
+override_dh_auto_install:
+	dh_auto_install
+	find debian/tmp/ -name "*.la" -delete
+
 override_dh_compress-indep:
 	dh_compress -X.pdf -Xexamples
