## normaliz 3.9.3+ds

=== debian/changelog ===
normaliz (3.9.3+ds-1build2) kinetic; urgency=medium

  * No-change rebuild against libflint17

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 17 Jul 2022 13:57:14 +0000

normaliz (3.9.3+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libflint-2.8.5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 16:05:03 +0000

normaliz (3.9.3+ds-1) unstable; urgency=medium

  * Upstream new nano version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-tests-floating_point-embbed.patch, obsoleted;
    - d/tests/*:
      - d/t/control, fix typo.


 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Apr 2022 15:24:47 +0000

normaliz (3.9.2+ds-2) unstable; urgency=medium

  * FTBFS release.
  * Debianization:
    - d/paches/*:
      - d/p/upstream-fix-tests-floating_point-embbed.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Feb 2022 20:49:03 +0000

normaliz (3.9.2+ds-1) unstable; urgency=medium

  * Upstream new minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded field, refresh;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
      - Build-Depends field, update;
      - libnormaliz-dev Depends list, update.
    - d/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Feb 2022 09:13:52 +0000

normaliz (3.8.9+ds-1) unstable; urgency=medium

  * Technical upload.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - Maintenance, migrate to Debian Math Team.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 22 Feb 2022 10:12:20 +0000
