=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: normaliz
 Section: math
 Priority: optional
-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -10,12 +11,12 @@
  libgmp-dev,
  libmpfr-dev,
  libflint-dev,
- libflint-arb-dev,
- libeantic-dev
+ libeantic-dev,
+ libnauty2-dev
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/math-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/math-team/normaliz
@@ -53,8 +54,8 @@
 Depends:
  libnormaliz3 (= ${binary:Version}),
  libnormaliz-dev-common (= ${source:Version}),
+ libnauty2-dev,
  libeantic-dev,
- libflint-arb-dev,
  libflint-dev,
  libgmp-dev,
  ${misc:Depends}
